package com.zd.laboratory.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zd.common.core.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.zd.common.core.web.domain.BaseEntity;
import org.hibernate.validator.constraints.Length;

/**
 * ��值条件设置对象 lab_pints_score_site
 * 
 * @author zd
 * @date 2021-12-13
 */
@ApiModel("��值条件设置")
public class LabPintsScoreSite extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @ApiModelProperty(value = "${comment}")
    private Long id;
    /** 负面清单分值 */
    @Excel(name = "负面清单分值")
    @Length(message = "负面清单分值长度不能超过255")
    @ApiModelProperty(value = "负面清单分值")
    private String negativeListScore;
    /** 黑名单分值 */
    @Excel(name = "黑名单分值")
    @Length(message = "黑名单分值长度不能超过255")
    @ApiModelProperty(value = "黑名单分值")
    private String blackListScore;
    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setNegativeListScore(String negativeListScore) 
    {
        this.negativeListScore = negativeListScore;
    }

    public String getNegativeListScore() 
    {
        return negativeListScore;
    }
    public void setBlackListScore(String blackListScore) 
    {
        this.blackListScore = blackListScore;
    }

    public String getBlackListScore() 
    {
        return blackListScore;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("negativeListScore", getNegativeListScore())
            .append("blackListScore", getBlackListScore())
            .toString();
    }
}
